Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class SComponent

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              SEdit.SComponent

Direct Known Subclasses:
  SLogicalComponent

    public class SComponent

extends SNode

CLASSE SComponent Decrit un noeud qui comporte un ensemble de connecteurs en entr�e et en sortie (reprend la structure de SModule d'une mani�re g�n�rale...) Les diff�rences avec SModule sont indiqu�es en commentaire.. La grande diff�rence vient des connecteurs: SInConnect et SOutConnect qui fonctionne diff�remment des "pins".

Field Summary

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`SComponent()`

Method Summary
`void` | `addConnector(java.lang.String s)`
`protected void` | `addInArrow(SArrow a)`
`protected void` | `addInConnect(java.lang.String n, SInConnect a)`
`protected void` | `addOutArrow(SArrow a)`
`protected void` | `addOutConnect(java.lang.String n, SOutConnect a)`
`void` | `computeConnectorsPositions()`
`void` | `delete()`
`void` | `deleteConnector(java.lang.String remove)`
`java.util.Vector` | `getInArrows()`
`SInConnect` | `getInConnect(int index)`
`SInConnect` | `getInConnect(java.lang.String s)`
`java.util.Enumeration<SInConnect>` | `getInConnectors()`
`java.util.Enumeration<java.lang.String>` | `getInNames()`
`java.util.Vector` | `getOutArrows()`
`SOutConnect` | `getOutConnect(int index)`
`SOutConnect` | `getOutConnect(java.lang.String s)`
`java.util.Enumeration<SOutConnect>` | `getOutConnectors()`
`java.util.Enumeration<java.lang.String>` | `getOutNames()`
`protected boolean` | `isConnectable(SArrow s, boolean isTarget)`
`protected void` | `removeConnector(SConnect a)`
`protected void` | `removeInConnect(SInConnect a)`
`protected void` | `removeOutConnect(SOutConnect a)`
`java.lang.String` | `toString()`

Methods inherited from class SEdit.SNode
`activate, deleteInArrow, deleteOutArrow, initGraphics, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, init, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SComponent

    public SComponent()

Method Detail

### getInArrows

    public java.util.Vector getInArrows()

  Specified by:
    `getInArrows` in class `SNode`

### getOutArrows

    public java.util.Vector getOutArrows()

  Specified by:
    `getOutArrows` in class `SNode`

### addOutArrow

    protected void addOutArrow(SArrow a)

  Specified by:
    `addOutArrow` in class `SNode`

### addInArrow

    protected void addInArrow(SArrow a)

  Specified by:
    `addInArrow` in class `SNode`

### addConnector

    public void addConnector(java.lang.String s)

### addInConnect

    protected void addInConnect(java.lang.String n,
                                SInConnect a)

### addOutConnect

    protected void addOutConnect(java.lang.String n,
                                 SOutConnect a)

### removeInConnect

    protected void removeInConnect(SInConnect a)

### removeOutConnect

    protected void removeOutConnect(SOutConnect a)

### removeConnector

    protected void removeConnector(SConnect a)

### getInConnect

    public SInConnect getInConnect(int index)

### getOutConnect

    public SOutConnect getOutConnect(int index)

### getInConnect

    public SInConnect getInConnect(java.lang.String s)

### getOutConnect

    public SOutConnect getOutConnect(java.lang.String s)

### getInNames

    public java.util.Enumeration<java.lang.String> getInNames()

### getOutNames

    public java.util.Enumeration<java.lang.String> getOutNames()

### getInConnectors

    public java.util.Enumeration<SInConnect> getInConnectors()

### getOutConnectors

    public java.util.Enumeration<SOutConnect> getOutConnectors()

### deleteConnector

    public void deleteConnector(java.lang.String remove)

### delete

    public void delete()

  Overrides:
    `delete` in class `SNode`

### computeConnectorsPositions

    public void computeConnectorsPositions()

### isConnectable

    protected boolean isConnectable(SArrow s,
                                    boolean isTarget)

  Specified by:
    `isConnectable` in class `SNode`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.